Subject: bug#14075: closed (Re: bug#14075: 24.3.50; Escaped parentheses break sh-mode indentation)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 28 Mar 2013 17:25:02 +0000

Your bug report

#14075: 24.3.50; Escaped parentheses break sh-mode indentation

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14075: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14075
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14075: 24.3.50; Escaped parentheses break sh-mode indentation
From: Josh <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 28 Mar 2013 10:21:17 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Mar 28, 2013 at 9:39 AM, Christopher Schmidt
<[email-masked]> wrote:
> I think this is a duplicate of #13161.
>
>         Christopher

Yes, I somehow missed that and Emacs does correctly indent the script
when I employ Stefan's suggested workaround, i.e. `` find . "(" -name
foo -prune ")" -o "(" -type f -name 'bar*' ")" -print0 | xargs -0
somecmd '' so I'll go ahead and close this.

Stefan, can you explain why this won't be fixed anytime soon?  I've
been using \( ... \) in find invocations for a million years, give or
take, and I expect it will take not a little effort to habituate
myself to quoting parentheses this way.

Subject: 24.3.50; Escaped parentheses break sh-mode indentation
From: Josh <[email-masked]>
To: [email-masked]
Date: Thu, 28 Mar 2013 09:08:47 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce:

1) put the following text into file `foo' and visit it:
#!/bin/bash

find . \( -name foo -prune \) -o \( -type f -name 'bar*' \) -print0 |
xargs -0 somecmd
echo why is this line indented???
2) C-x h C-M-\
3) Expected behavior: buffer contents would be unchanged
4) Actual behavior: buffer was modified as follows:
#!/bin/bash

find . \( -name foo -prune \) -o \( -type f -name 'bar*' \) -print0 |
xargs -0 somecmd
        echo why is this line indented???

In GNU Emacs 24.3.50.1 (x86_64-apple-darwin, NS apple-appkit-1187.34)
 of 2013-03-04 on bix
Bzr revision: 111935 [email-masked]
Windowing system distributor `Apple', version 10.3.1187
Configured using:
 `configure --host=x86_64-apple-darwin --build=i686-apple-darwin
 --with-ns'

Important settings:
  value of $LC_CTYPE: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t
[...]